// CommonCommandsView.cpp : implementation of the CCommonCommandsView class
//

#include "stdafx.h"
#include "CommonCommands.h"

#include "CommonCommandsDoc.h"
#include "CommonCommandsView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCommonCommandsView

IMPLEMENT_DYNCREATE(CCommonCommandsView, CHtmlView2)

BEGIN_MESSAGE_MAP(CCommonCommandsView, CHtmlView2)
	//{{AFX_MSG_MAP(CCommonCommandsView)
	ON_COMMAND(ID_CMD_FIND, OnCmdFind)
	ON_COMMAND(ID_CMD_VIEW_SOURCE, OnCmdViewSource)
	ON_COMMAND(ID_CMD_INTERNET_OPTIONS, OnCmdInternetOptions)
	ON_COMMAND(ID_CMD_GET_SELECTION, OnCmdGetSelection)
	ON_COMMAND(ID_CMD_QUERY_OFFLINE, OnCmdQueryOffline)
	ON_COMMAND(ID_CMD_ADD_TO_FAVORITES, OnCmdAddToFavorites)
	ON_COMMAND(ID_CMD_ORGANIZE_FAVORITES, OnCmdOrganizeFavorites)
	ON_COMMAND(ID_CMD_CREATE_SHORTCUT, OnCmdCreateShortcut)
	ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
	ON_COMMAND(ID_EDIT_CUT, OnEditCut)
	ON_COMMAND(ID_EDIT_PASTE, OnEditPaste)
	ON_UPDATE_COMMAND_UI(ID_EDIT_COPY, OnUpdateEditCopy)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CUT, OnUpdateEditCut)
	ON_UPDATE_COMMAND_UI(ID_EDIT_PASTE, OnUpdateEditPaste)
	ON_COMMAND(ID_EDIT_SELECT_ALL, OnEditSelectAll)
	ON_COMMAND(ID_CMD_PROPERTIES, OnCmdProperties)
	ON_COMMAND(ID_CMD_FONT_SIZE_SMALLEST, OnCmdFontSizeSmallest)
	ON_COMMAND(ID_CMD_FONT_SIZE_SMALL, OnCmdFontSizeSmall)
	ON_COMMAND(ID_CMD_FONT_SIZE_MEDIUM, OnCmdFontSizeMedium)
	ON_COMMAND(ID_CMD_FONT_SIZE_LARGE, OnCmdFontSizeLarge)
	ON_COMMAND(ID_CMD_FONT_SIZE_LARGEST, OnCmdFontSizeLargest)
	ON_UPDATE_COMMAND_UI(ID_CMD_FONT_SIZE_SMALLEST, OnUpdateCmdFontSizeSmallest)
	ON_UPDATE_COMMAND_UI(ID_CMD_FONT_SIZE_SMALL, OnUpdateCmdFontSizeSmall)
	ON_UPDATE_COMMAND_UI(ID_CMD_FONT_SIZE_MEDIUM, OnUpdateCmdFontSizeMedium)
	ON_UPDATE_COMMAND_UI(ID_CMD_FONT_SIZE_LARGE, OnUpdateCmdFontSizeLarge)
	ON_UPDATE_COMMAND_UI(ID_CMD_FONT_SIZE_LARGEST, OnUpdateCmdFontSizeLargest)
	ON_COMMAND(ID_CMD_WORK_OFFLINE, OnCmdWorkOffline)
	ON_UPDATE_COMMAND_UI(ID_CMD_WORK_OFFLINE, OnUpdateCmdWorkOffline)
	ON_COMMAND(ID_CMD_SAVE_AS, OnCmdSaveAs)
	ON_COMMAND(ID_CMD_SET_AS_DESKTOP_ITEM, OnCmdSetAsDesktopItem)
	ON_COMMAND(ID_CMD_START_BROWSER, OnCmdStartBrowser)
	ON_COMMAND(ID_CMD_GET_ACTIVE_ELEMENT, OnCmdGetActiveElement)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCommonCommandsView construction/destruction

CCommonCommandsView::CCommonCommandsView()
{
	// TODO: add construction code here

}

CCommonCommandsView::~CCommonCommandsView()
{
}

BOOL CCommonCommandsView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView2::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CCommonCommandsView drawing

void CCommonCommandsView::OnDraw(CDC* pDC)
{
	CCommonCommandsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

void CCommonCommandsView::OnInitialUpdate()
{
	CHtmlView2::OnInitialUpdate();

	Navigate2( _T("http://www.beginthread.com/ehsan/"), NULL, NULL );
}

/////////////////////////////////////////////////////////////////////////////
// CCommonCommandsView diagnostics

#ifdef _DEBUG
void CCommonCommandsView::AssertValid() const
{
	CHtmlView2::AssertValid();
}

void CCommonCommandsView::Dump(CDumpContext& dc) const
{
	CHtmlView2::Dump(dc);
}

CCommonCommandsDoc* CCommonCommandsView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCommonCommandsDoc)));
	return (CCommonCommandsDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CCommonCommandsView message handlers

void CCommonCommandsView::OnCmdFind() 
{
	InvokeFind();
}

void CCommonCommandsView::OnCmdViewSource() 
{
	InvokeViewSource();
}

void CCommonCommandsView::OnCmdInternetOptions() 
{
	InvokeInternetOptions();
}

void CCommonCommandsView::OnCmdGetSelection() 
{
	::AfxMessageBox( GetDocumentSelection() );
}

void CCommonCommandsView::OnCmdQueryOffline() 
{
	::AfxMessageBox( IsGlobalOffline() ? _T("Internet Explorer is in Offline mode.") :
		_T("Internet Explorer is in Online mode.") );
}

void CCommonCommandsView::OnCmdAddToFavorites() 
{
	AddToFavorites();
}

void CCommonCommandsView::OnCmdOrganizeFavorites() 
{
	OrganizeFavorites();
}

void CCommonCommandsView::OnCmdCreateShortcut() 
{
	CreateShortcut();
}

void CCommonCommandsView::OnEditCopy() 
{
	Copy();
}

void CCommonCommandsView::OnEditCut() 
{
	Cut();
}

void CCommonCommandsView::OnEditPaste() 
{
	PasteSmart();
}

void CCommonCommandsView::OnUpdateEditCopy(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( UpdateCopyHelper() );
}

void CCommonCommandsView::OnUpdateEditCut(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( UpdateCutHelper() );
}

void CCommonCommandsView::OnUpdateEditPaste(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( UpdatePasteHelper() );
}

void CCommonCommandsView::OnEditSelectAll() 
{
	SelectAll();
}

void CCommonCommandsView::OnCmdProperties() 
{
	Properties();
}

void CCommonCommandsView::OnCmdFontSizeSmallest() 
{
	SetFontSizeSmallest();
}

void CCommonCommandsView::OnCmdFontSizeSmall() 
{
	SetFontSizeSmall();
}

void CCommonCommandsView::OnCmdFontSizeMedium() 
{
	SetFontSizeMedium();
}

void CCommonCommandsView::OnCmdFontSizeLarge() 
{
	SetFontSizeLarge();
}

void CCommonCommandsView::OnCmdFontSizeLargest() 
{
	SetFontSizeLargest();
}

void CCommonCommandsView::OnUpdateCmdFontSizeSmallest(CCmdUI* pCmdUI) 
{
	pCmdUI->SetRadio( FontSizeSmallestUpdateHelper() );
}

void CCommonCommandsView::OnUpdateCmdFontSizeSmall(CCmdUI* pCmdUI) 
{
	pCmdUI->SetRadio( FontSizeSmallUpdateHelper() );
}

void CCommonCommandsView::OnUpdateCmdFontSizeMedium(CCmdUI* pCmdUI) 
{
	pCmdUI->SetRadio( FontSizeMediumUpdateHelper() );
}

void CCommonCommandsView::OnUpdateCmdFontSizeLarge(CCmdUI* pCmdUI) 
{
	pCmdUI->SetRadio( FontSizeLargeUpdateHelper() );
}

void CCommonCommandsView::OnUpdateCmdFontSizeLargest(CCmdUI* pCmdUI) 
{
	pCmdUI->SetRadio( FontSizeLargestUpdateHelper() );
}

void CCommonCommandsView::OnCmdWorkOffline() 
{
	ToggleWorkOffline();
}

void CCommonCommandsView::OnUpdateCmdWorkOffline(CCmdUI* pCmdUI) 
{
	pCmdUI->SetCheck( WorkOfflineUpdateHelper() );
}

void CCommonCommandsView::OnCmdSaveAs() 
{
	SavePage();
}

void CCommonCommandsView::OnCmdSetAsDesktopItem() 
{
	SetAsDesktopItem();
}

void CCommonCommandsView::OnCmdStartBrowser() 
{
	StartWebBrowser();
}

void CCommonCommandsView::OnCmdGetActiveElement() 
{
	MessageBox( GetActiveElement() );
}
