#if !defined(AFX_HTMLVIEW2_H__71262AE2_B185_4AFF_A36B_C9C271CE757B__INCLUDED_)
#define AFX_HTMLVIEW2_H__71262AE2_B185_4AFF_A36B_C9C271CE757B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HtmlView2.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHtmlView2 html view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif
#include <afxhtml.h>

class CHtmlView2 : public CHtmlView
{
protected:
	CHtmlView2();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CHtmlView2)

	enum Commands
	{
		FindCommand = 0x00000001,
		ViewSourceCommand = 0x00000002,
		OptionsCommand = 0x00000003
	};

	enum FontSize
	{
		SmallestSize = 0L,
		SmallSize =    1L,
		MediumSize =   2L,
		LargeSize =    3L,
		LargestSize =  4L
	};

// Attributes
public:
	static const UINT CF_HTML;

protected:
	FontSize m_FontSize;

// Operations
public:
	static bool StartWebBrowser();
	void Undo();
	bool SetAsDesktopItem();
	bool SetAsDesktopItem(struct IHTMLElement * pActiveElem);
	bool GetActiveElement(struct IHTMLElement ** ppActiveElem);
	void SavePage();
	BOOL WorkOfflineUpdateHelper();
	void ToggleWorkOffline();
	BOOL FontSizeLargestUpdateHelper();
	BOOL FontSizeLargeUpdateHelper();
	BOOL FontSizeMediumUpdateHelper();
	BOOL FontSizeSmallUpdateHelper();
	BOOL FontSizeSmallestUpdateHelper();
	enum FontSize GetCurrentFontSize();
	void SetFontSizeLargest();
	void SetFontSizeLarge();
	void SetFontSizeMedium();
	void SetFontSizeSmall();
	void SetFontSizeSmallest();
	void SetFontSize(long lSize);
	void Properties();
	void SelectAll();
	BOOL UpdatePasteHelper();
	BOOL UpdateCutHelper();
	BOOL UpdateCopyHelper();
	CString GetActiveElement();
	void PasteSmart();
	void Paste();
	void Cut();
	void Copy();
	bool CreateShortcut();
	bool SaveInternetShortcut(LPCTSTR pszFileName,
		LPCTSTR pszURL,
		LPCTSTR pszDescription = NULL,
		LPCTSTR pszIconFile = NULL,
		int nIndex = -1);
	bool OrganizeFavorites();
	bool AddToFavorites();
	bool IsGlobalOffline();
	CString GetDocumentSelection();
	bool InvokeInternetOptions();
	bool InvokeViewSource();
	bool InvokeFind();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHtmlView2)
	public:
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
protected:
	HRESULT ExecCommandHelper(DWORD dwCommand);
	virtual ~CHtmlView2();

	// Generated message map functions
	//{{AFX_MSG(CHtmlView2)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HTMLVIEW2_H__71262AE2_B185_4AFF_A36B_C9C271CE757B__INCLUDED_)
